( cd usr/lib64 ; rm -rf libgladeui-1.so )
( cd usr/lib64 ; ln -sf libgladeui-1.so.9.0.3 libgladeui-1.so )
( cd usr/lib64 ; rm -rf libgladeui-1.so.9 )
( cd usr/lib64 ; ln -sf libgladeui-1.so.9.0.3 libgladeui-1.so.9 )

# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
        rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
